Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152872 - CAN-2004-1318 Namazu 2.0.13 and earlier Cross-site scripting vulnerability
Summary: CAN-2004-1318 Namazu 2.0.13 and earlier Cross-site scripting vulnerability
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: namazu
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.namazu.org/security.html.e...
Whiteboard: 1, LEGACY, rh73, rh90,needswork
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-15 05:35 UTC by David Lawrence
Modified: 2007-08-30 19:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 19:57:29 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:30:27 UTC
2.0.13 Up to before namazu.cgi begins from a tab (%09). If query is specified, a
reference character sequence will no longer be sanitized and cross-site
scripting brittleness will occur. 2.0.14 By henceforth, this problem was coped
with by deleting a top tab.



------- Additional Comments From fedora-legacy-bugzilla-2004@fumika.jp 2005-01-06 13:56:00 ----

CVE: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1318

Red Hat Bugzilla: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=144396



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:30 -------

This bug previously known as bug 2342 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2342
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was fedora-legacy-bugzilla-2004@fumika.jp.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 Jesse Keating 2007-08-30 19:57:29 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.